{ nixpkgs, ... }:

let
  dgn-id = "57ac2e06a00384772bf63f055874ce2fefe4eb0a";
in

{
  services.stirling-pdf = {
    enable = true;

    package = nixpkgs.unstable.stirling-pdf.overrideAttrs (old: {
      patches = (old.patches or [ ]) ++ [
        (builtins.fetchurl "https://git.dgnum.eu/DGNum/Stirling-PDF/commit/${dgn-id}.patch")
      ];
    });

    domain = "pdf.dgnum.eu";
    port = 8084;

    nginx = {
      enableACME = true;
      forceSSL = true;
    };

    environment = {
      UI_APP_NAME = "DGNum PDF";
      SYSTEM_DEFAULT_LOCALE = "fr-FR";
    };
  };
}
