{ pkgs, sources, ... }:

let
  wp4nix = pkgs.callPackage sources.wp4nix { };
in
{
  imports = [ ./module.nix ];

  services.wp-containers = {
    enable = true;

    sites = {
      "lavoixduntexte.normalesup.eu" = {
        themes = {
          inherit (wp4nix.themes) avant;
        };

        plugins = {
          inherit (wp4nix.plugins) user-role-editor;
        };

        languages = [ pkgs.wordpressPackages.languages.fr_FR ];
      };

      "bds.wp.dgnum.eu" = {
        themes = {
          inherit (wp4nix.themes) gateway twentytwentythree;
        };

        plugins = {
          inherit (wp4nix.plugins) user-role-editor;
        };

        languages = [ pkgs.wordpressPackages.languages.fr_FR ];
      };

      "bda.ens.fr" = {
        plugins = {
          inherit (wp4nix.plugins) user-role-editor;
        };

        languages = [ pkgs.wordpressPackages.languages.fr_FR ];
      };

      "cineclub.wp.dgnum.eu" = {
        plugins = {
          inherit (wp4nix.plugins) user-role-editor;
        };

        languages = [ pkgs.wordpressPackages.languages.fr_FR ];
      };
    };
  };

  dgn-backups.jobs.containers.settings.paths = [ "/var/lib/nixos-containers" ];
}
